Bug 233794 - devel/py-gitpython: Update to 2.1.11
Summary: devel/py-gitpython: Update to 2.1.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guangyuan Yang
URL: https://github.com/gitpython-develope...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 03:01 UTC by kunda
Modified: 2019-01-02 14:44 UTC (History)
4 users (show)

See Also:
ygy: maintainer-feedback+
ygy: merge-quarterly+


Attachments
Proposed patch (933 bytes, patch)
2018-12-21 16:01 UTC, Guangyuan Yang
ygy: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-05 04:41:00 UTC
Correct summary (category/portname), assign to maintainer.

Bugfix release, merge (MFH) candidate.
Comment 2 Guangyuan Yang freebsd_committer 2018-12-20 15:15:56 UTC
Proposed patch (poudriere tested):

Index: devel/py-gitpython/Makefile
===================================================================
--- devel/py-gitpython/Makefile	(revision 487852)
+++ devel/py-gitpython/Makefile	(working copy)
@@ -1,7 +1,7 @@
 # $FreeBSD$

 PORTNAME=	GitPython
-DISTVERSION=	2.1.10
+DISTVERSION=	2.1.11
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
Index: devel/py-gitpython/distinfo
===================================================================
--- devel/py-gitpython/distinfo	(revision 487852)
+++ devel/py-gitpython/distinfo	(working copy)
@@ -1,3 +1,3 @@
-TIMESTAMP = 1528894672
-SHA256 (GitPython-2.1.10.tar.gz) = b60b045cf64a321e5b620debb49890099fa6c7be6dfb7fb249027e5d34227301
-SIZE (GitPython-2.1.10.tar.gz) = 430939
+TIMESTAMP = 1545318709
+SHA256 (GitPython-2.1.11.tar.gz) = 8237dc5bfd6f1366abeee5624111b9d6879393d84745a507de0fda86043b65a8
+SIZE (GitPython-2.1.11.tar.gz) = 428531
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-21 00:39:29 UTC
Note: this is a bugfix only release [1], which should be merged to quarterly

[1] https://github.com/gitpython-developers/gitpython/milestone/26?closed=1
Comment 4 Guangyuan Yang freebsd_committer 2018-12-21 06:13:30 UTC
(In reply to Kubilay Kocak from comment #3)

Understood. Wait for a Ports Committer to approve my patch so I can commit.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-21 09:03:51 UTC
(In reply to Guangyuan Yang from comment #4)

Could you include the diff in comment 2 as an attachment so I can approved it please
Comment 6 Guangyuan Yang freebsd_committer 2018-12-21 16:01:30 UTC
Created attachment 200337 [details]
Proposed patch
Comment 7 Guangyuan Yang freebsd_committer 2018-12-22 09:56:41 UTC
(In reply to Kubilay Kocak from comment #5)

Patch is ready.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-23 01:08:58 UTC
(In reply to Guangyuan Yang from comment #7)

Does this pass QA (poudriere, python27 & python3.x ) ?
Comment 9 Guangyuan Yang freebsd_committer 2018-12-24 04:45:41 UTC
(In reply to Kubilay Kocak from comment #8)

Yes, it went through poudriere testport and python 2 & 3.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-29 01:52:25 UTC
Comment on attachment 200337 [details]
Proposed patch

Approved by: koobs (ports)
Comment 11 commit-hook freebsd_committer 2018-12-31 02:15:56 UTC
A commit references this bug:

Author: ygy
Date: Mon Dec 31 02:15:19 UTC 2018
New revision: 488754
URL: https://svnweb.freebsd.org/changeset/ports/488754

Log:
  Update devel/py-gitpython to 2.1.11 (bugfix release).

  Changelog:	https://github.com/gitpython-developers/GitPython/blob/master/doc/source/changes.rst#2111---bugfixes

  PR:		233794
  Approved by:	koobs
  MFH:		2018Q4

Changes:
  head/devel/py-gitpython/Makefile
  head/devel/py-gitpython/distinfo
Comment 12 commit-hook freebsd_committer 2018-12-31 18:32:27 UTC
A commit references this bug:

Author: ygy
Date: Mon Dec 31 18:31:28 UTC 2018
New revision: 488814
URL: https://svnweb.freebsd.org/changeset/ports/488814

Log:
  MFH: r488754

  Update devel/py-gitpython to 2.1.11 (bugfix release).

  Changelog:	https://github.com/gitpython-developers/GitPython/blob/master/doc/source/changes.rst#2111---bugfixes

  PR:		233794
  Approved by:	koobs
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/devel/py-gitpython/Makefile
  branches/2018Q4/devel/py-gitpython/distinfo